




.search {
    display: inline-block;
    display: flex;
    align-items: center;
    margin-left: auto;
    cursor: pointer;

    @include breakpoint($large) {
        order: 3;
        //background:rgba(255,255,255,0.3);
        border: 1px solid rgba(255, 255, 255, .4);
        border-radius: 35px;
        padding: .6rem 3rem .6rem .8rem;
        margin-right: 1px;
    }

    @include breakpoint($xlarge) {
        padding: .6rem 5rem .6rem .8rem;
    }

    label {
        cursor: pointer;
        @include rhythm(16,16);
        display: flex;
        align-items: center;

        a {
            color: #fff;
            display: flex;
            align-items: center;

            &:focus {
                outline: none;

                span:not(.icon) {
                    font-weight: 600;
                }
            }
        }

        .icon {
            @include breakpoint($large) {
                margin-right: 10px;
            }
        }

        span:not(.icon) {
            display: none;

            @include breakpoint($large) {
                display: inline-block;
            }
        }

        &:focus {
            span {
                color: red;
            }
        }
    }

    &.invertColours {
        color: $text-color;
        border-color: rgba(0,0,0,0.4);

        .icon {
            path {
                fill: rgba(0,0,0,0.4);
            }
        }

        span {
            color: $text-color;
        }
    }

    &__other-business-text {
        margin-bottom: 2rem;
        margin-top: 3rem;

        h3 {
            font-family: $font-muli;
            font-size: 17px;
            font-weight: 600;
        }
    }
}

.overlay--search {
  .slide-pane__content {
    @include breakpoint($large) {
      padding-top:6rem !important;
    }
  }

  form {
    flex:0 0 100%;
    display:flex;
    margin-bottom:3rem;
  }

  

  .search__resultsPreview {
    flex:0 0 100%;
    margin-top:5rem;
    position: relative;
    h3 {
      margin-bottom: 1.5rem;
    }
    ul.links {
        li {
        padding:0.8rem 0;
      }
    }
    .image {
      display:block;
      img {
        max-width:360px;
        margin-top:1rem;
      }
    }

    .image + .cta{
      margin-top:2rem;
    }
  }

  .search__loader {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    z-index: 1;
  }

  .cta {
    margin-left:1rem;
    margin-top:0;
    flex:0 0 auto;
  }
}

.search-input {
  flex:1 1 auto;
  padding-bottom:0.2rem;
  border-bottom:1px solid rgba($border-color,0.1);

  input[type=text] {
    padding:0.7rem 0.4rem;

    border:none;

    color:$color-slate;
    outline:none;
    width:100%;
    font-size:16px;

    &::-webkit-input-placeholder { /* Chrome/Opera/Safari */
      color:rgba($color-slate,.5);
    }
    &::-moz-placeholder { /* Firefox 19+ */
      color:rgba($color-slate,.5);
    }
    &:-ms-input-placeholder { /* IE 10+ */
      color:rgba($color-slate,.5);
    }
    &:-moz-placeholder { /* Firefox 18- */
      color:rgba($color-slate,.5);
    }

  }
}